Create Adjustment

Use the /createAdjustment endpoint to move funds into or out of a specific account. Adjustments are immediately processed and reflected on the account balance. Adjustments can be used to reimburse customers, reconcile ledgers, and more. Each adjustment has a 'type' that delineates the type of money movement involved.

To reverse an adjustment, see Reverse Adjustment.


📘 Note: Spidr will work with your program to configure adjustment types and the underlying funds movement.

Body Params

POST /v1/transaction/createAdjustment Request body

string

The session key for the user. Created via Create ZTM Session and used for ZTM checks if your program is configured for ZTM.

boolean

Indicates whether to bypass the ZTM checks if your program is configured for ZTM.

string
required

Pass in the Spidr account ID

string
required

The type of adjustment to create, values to be configured with Spidr.

double
required
≤ 10000000

The amount of the adjustment.

string
enum
required

The type of adjustment. C - Credit (increase account balance), D - Debit (decrease account balance).

Allowed:
string
required
length between 1 and 40

The description of the adjustment.

counterpartyData
object

Transaction counterparty information

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json